#!/bin/sh

[ -z $GTKDIALOG ] && GTKDIALOG=gtkdialog

MAIN_DIALOG='
<window title="Example Window" icon-name="gtk-dialog-warning">
	<vbox>
		<frame Description>
			<text>
				<label>icon-name="gtk-dialog-warning"</label>
			</text>
		</frame>
		<hbox>
			<button ok></button>
			<button cancel></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac

MAIN_DIALOG='
<window title="Example Window" decorated="false">
	<vbox>
		<frame Description>
			<text>
				<label>decorated=false</label>
			</text>
		</frame>
		<hbox>
			<button ok></button>
			<button cancel></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac

MAIN_DIALOG='
<window title="Example Window" resizable="false">
	<vbox>
		<frame Description>
			<text>
				<label>resizable=false</label>
			</text>
		</frame>
		<hbox>
			<button ok></button>
			<button cancel></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac

MAIN_DIALOG='
<window title="Example Window" window_position="1">
	<vbox>
		<frame Description>
			<text>
				<label>window_position=1 (GTK_WIN_POS_CENTER)</label>
			</text>
		</frame>
		<hbox>
			<button ok></button>
			<button cancel></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac

MAIN_DIALOG='
<window title="Example Window" window_position="2">
	<vbox>
		<frame Description>
			<text>
				<label>window_position=2 (GTK_WIN_POS_MOUSE)</label>
			</text>
		</frame>
		<hbox>
			<button ok></button>
			<button cancel></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac

MAIN_DIALOG='
<window title="Example Window" skip_taskbar_hint="true">
	<vbox>
		<frame Description>
			<text>
				<label>skip_taskbar_hint=true</label>
			</text>
		</frame>
		<hbox>
			<button ok></button>
			<button cancel></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac
